@ECHO off
cls
echo. You would appear to not have the update.zip! I'll get it for you...
set update="http://s3.amazonaws.com/kindle-fire-updates/update-kindle-6.2.1_D01E_3103920.bin"
if not EXIST update\ ( mkdir update )	
FilesandTools\wget -O update\update.zip "%update%" --user-agent=%useragent%
FilesandTools\adb push update\update.zip /sdcard/update.zip
echo. Time to flash the update!
FilesandTools\adb shell idme bootmode 4002
FilesandTools\adb shell reboot
FilesandTools\fastboot -w
FilesandTools\fastboot update /sdcard/update.zip
FilesandTools\adb shell idme bootmode 4000
FilesandTools\adb shell reboot
echo. Your kindle should be rebooting with the stock Rom.




